Bug 27187 - comandline addmultiple not working with local database
Summary: comandline addmultiple not working with local database
Status: CLOSED FIXED
Alias: None
Product: Xindice
Classification: Unclassified
Component: Server (show other bugs)
Version: cvs head (1.1)
Hardware: Other All
: P3 normal
Target Milestone: ---
Assignee: Xindice Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-24 14:25 UTC by Fredy Dobler
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fredy Dobler 2004-02-24 14:25:25 UTC
if the comandline is called with 
./xindice addmultiple -f /filepath -c /db/col1 -l -d ../config/system.xml
then no documents are added to the database

In the source file AddMultipleDocuments.java line 151...
// Populate hashtable to pass to AddDocument class
localtable.put(XMLTools.COLLECTION, table.get(XMLTools.COLLECTION));
localtable.put(XMLTools.NAME_OF, files.getName());
localtable.put(XMLTools.FILE_PATH, filepath);

there is the local info missing, I've added the line:
localtable.put(XMLTools.LOCAL,table.get(XMLTools.LOCAL));

after recompile, the addmultiple was working now with the local database
Comment 1 Vadim Gritsenko 2004-05-25 16:00:01 UTC
Thanks for reporting, fixed in CVS.